#! /usr/bin/env lua

require("lcl")

lcl.setLocale()

-- Number conversion

local ep = 10e-9
local aux

for i = 1, 1000, 1.33 do
	aux = tonumber(lcl.cToNumber(lcl.numberToC(tostring(i))))
	assert(math.abs(i - aux) < ep)
end

-- Date

local today

for i = 1, 1000 do
	today = os.date("%Y/%m/%d")
	assert(lcl.cToDate(lcl.parseDate(today)) == os.date("%x"))
end
